<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <xsl:output method="xml" indent="yes" media-type="text/xml"/>
   <xsl:variable name="rad">5</xsl:variable>
   <xsl:variable name="mult">10000</xsl:variable>
   <xsl:variable name="dx">81950</xsl:variable>
   <xsl:variable name="dy">531500</xsl:variable>
   <xsl:template match="/poi-set">
     <svg width="350" height="200">
       <rect x="0" y="0" width="350" height="200" fill="lightgreen" stroke="black"/>
       <xsl:apply-templates select="poi"/>
     </svg>
   </xsl:template>
   <xsl:template match="poi">
     <xsl:call-template name="shapes">
       <xsl:with-param name="xc" select="substring(Point/pos,0,7)" />
       <xsl:with-param name="yc" select="substring(Point/pos,8,8)" />
       <xsl:with-param name="txt" select="name" />
     </xsl:call-template>
   </xsl:template>
   <xsl:template name="shapes">
     <xsl:param name="xc" />
     <xsl:param name="yc" />
     <xsl:param name="txt" />
     <xsl:element name="circle">
       <xsl:attribute name="cx"><xsl:value-of select="(number($xc)*$mult)-$dx"/></xsl:attribute>
       <xsl:attribute name="cy"><xsl:value-of select="number($dy)-(number($yc)*$mult)"/></xsl:attribute>
       <xsl:attribute name="r"><xsl:value-of select="$rad"/></xsl:attribute>
       <xsl:attribute name="fill">red</xsl:attribute>
       <xsl:attribute name="stroke">black</xsl:attribute>
     </xsl:element>
     <xsl:element name="text">
       <xsl:attribute name="x"><xsl:value-of select="(number($xc)*$mult)-$dx+$rad"/></xsl:attribute>
       <xsl:attribute name="y"><xsl:value-of select="number($dy)-(number($yc)*$mult)"/></xsl:attribute>
       <xsl:value-of select="$txt"/>
     </xsl:element>
   </xsl:template>
</xsl:stylesheet>
